package es.verdnatura.domain

import android.content.Context
import es.verdnatura.presentation.view.feature.ajustes.model.Printers
import es.verdnatura.presentation.view.feature.ajustes.model.SectorItemVO
import retrofit2.Call

class GetAjustesUserCase(context: Context) : RestClient(context) {

    fun getSectors(usuario: String, password: String): Call<List<SectorItemVO>> {
        return restClient!!.getSectors("json", "1", usuario, password, "application/json")
    }

    fun getSectorsSalix(token:String): Call<List<SectorItemVO>> {
        return salixClient!!.getSectorsSalix(content_type = "application/json", authorization = token)
    }
    fun worker_updateSector(usuario: String, password: String,sectorFk:String): Call<Unit> {
        val params: ArrayList<String> = ArrayList()
        params.add(sectorFk)

        return restClient!!.worker_updateSector("json", "1", usuario, password, "application/json",params)
    }

    fun worker_updatePrinter(usuario: String, password: String,labelerFk:String): Call<Unit> {
        val params: ArrayList<String> = ArrayList()
        params.add(labelerFk)
        return restClient!!.worker_updatePrinter("json", "1", usuario, password, "application/json",params)
    }

    fun printer_get(usuario: String, password: String): Call<List<Printers>> {
        return restClient!!.printer_get("json", "1", usuario, password, "application/json")
    }


}